# -*- coding: utf-8 -*-

# Form implementation generated from reading ui file 'designer/network_utility.ui'
#
# Created by: PyQt5 UI code generator 5.15.9
#
# WARNING: Any manual changes made to this file will be lost when pyuic5 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt5 import QtCore, QtGui, QtWidgets


class Ui_NetworkUtility(object):
    def setupUi(self, NetworkUtility):
        NetworkUtility.setObjectName("NetworkUtility")
        NetworkUtility.resize(693, 419)
        self.verticalLayout = QtWidgets.QVBoxLayout(NetworkUtility)
        self.verticalLayout.setContentsMargins(0, 20, 0, 0)
        self.verticalLayout.setObjectName("verticalLayout")
        self.tabWidget = QtWidgets.QTabWidget(NetworkUtility)
        self.tabWidget.setStyleSheet("QTabWidget::tab-bar {\n"
"        alignment: center;\n"
"        }\n"
"        QTabWidget::pane { /* The tab widget frame */\n"
"        position: absolute;\n"
"        top: -0.9em;\n"
"        }\n"
"       ")
        self.tabWidget.setObjectName("tabWidget")
        self.tab_info = QtWidgets.QWidget()
        self.tab_info.setObjectName("tab_info")
        self.verticalLayout_16 = QtWidgets.QVBoxLayout(self.tab_info)
        self.verticalLayout_16.setContentsMargins(-1, 34, -1, -1)
        self.verticalLayout_16.setObjectName("verticalLayout_16")
        self.label_18 = QtWidgets.QLabel(self.tab_info)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Preferred, QtWidgets.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.label_18.sizePolicy().hasHeightForWidth())
        self.label_18.setSizePolicy(sizePolicy)
        self.label_18.setObjectName("label_18")
        self.verticalLayout_16.addWidget(self.label_18)
        self.info_nic_list_combobox = QtWidgets.QComboBox(self.tab_info)
        self.info_nic_list_combobox.setObjectName("info_nic_list_combobox")
        self.verticalLayout_16.addWidget(self.info_nic_list_combobox, 0, QtCore.Qt.AlignLeft)
        self.horizontalLayout_12 = QtWidgets.QHBoxLayout()
        self.horizontalLayout_12.setObjectName("horizontalLayout_12")
        self.groupBox = QtWidgets.QGroupBox(self.tab_info)
        self.groupBox.setObjectName("groupBox")
        self.gridLayout_3 = QtWidgets.QGridLayout(self.groupBox)
        self.gridLayout_3.setContentsMargins(9, 9, 9, 0)
        self.gridLayout_3.setSpacing(9)
        self.gridLayout_3.setObjectName("gridLayout_3")
        self.info_stats_mtu = QtWidgets.QLabel(self.groupBox)
        self.info_stats_mtu.setAlignment(QtCore.Qt.AlignRight|QtCore.Qt.AlignTop|QtCore.Qt.AlignTrailing)
        self.info_stats_mtu.setObjectName("info_stats_mtu")
        self.gridLayout_3.addWidget(self.info_stats_mtu, 5, 0, 1, 1, QtCore.Qt.AlignTop)
        self.info_hardware_address = QtWidgets.QLabel(self.groupBox)
        self.info_hardware_address.setAlignment(QtCore.Qt.AlignRight|QtCore.Qt.AlignTop|QtCore.Qt.AlignTrailing)
        self.info_hardware_address.setObjectName("info_hardware_address")
        self.gridLayout_3.addWidget(self.info_hardware_address, 0, 0, 1, 1)
        self.info_stats_duplex = QtWidgets.QLabel(self.groupBox)
        self.info_stats_duplex.setAlignment(QtCore.Qt.AlignRight|QtCore.Qt.AlignTop|QtCore.Qt.AlignTrailing)
        self.info_stats_duplex.setObjectName("info_stats_duplex")
        self.gridLayout_3.addWidget(self.info_stats_duplex, 4, 0, 1, 1, QtCore.Qt.AlignTop)
        self.label_9 = QtWidgets.QLabel(self.groupBox)
        self.label_9.setAlignment(QtCore.Qt.AlignRight|QtCore.Qt.AlignTop|QtCore.Qt.AlignTrailing)
        self.label_9.setObjectName("label_9")
        self.gridLayout_3.addWidget(self.label_9, 2, 0, 1, 1)
        self.info_stats_speed_value = QtWidgets.QLabel(self.groupBox)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.MinimumExpanding, QtWidgets.QSizePolicy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.info_stats_speed_value.sizePolicy().hasHeightForWidth())
        self.info_stats_speed_value.setSizePolicy(sizePolicy)
        self.info_stats_speed_value.setText("")
        self.info_stats_speed_value.setAlignment(QtCore.Qt.AlignLeading|QtCore.Qt.AlignLeft|QtCore.Qt.AlignTop)
        self.info_stats_speed_value.setObjectName("info_stats_speed_value")
        self.gridLayout_3.addWidget(self.info_stats_speed_value, 2, 1, 1, 1)
        self.info_addrs = QtWidgets.QLabel(self.groupBox)
        self.info_addrs.setAlignment(QtCore.Qt.AlignRight|QtCore.Qt.AlignTop|QtCore.Qt.AlignTrailing)
        self.info_addrs.setObjectName("info_addrs")
        self.gridLayout_3.addWidget(self.info_addrs, 1, 0, 1, 1)
        self.info_stats_status = QtWidgets.QLabel(self.groupBox)
        self.info_stats_status.setAlignment(QtCore.Qt.AlignRight|QtCore.Qt.AlignTop|QtCore.Qt.AlignTrailing)
        self.info_stats_status.setObjectName("info_stats_status")
        self.gridLayout_3.addWidget(self.info_stats_status, 3, 0, 1, 1)
        self.info_hardware_address_value = QtWidgets.QLabel(self.groupBox)
        self.info_hardware_address_value.setObjectName("info_hardware_address_value")
        self.gridLayout_3.addWidget(self.info_hardware_address_value, 0, 1, 1, 1)
        spacerItem = QtWidgets.QSpacerItem(20, 0, QtWidgets.QSizePolicy.Minimum, QtWidgets.QSizePolicy.MinimumExpanding)
        self.gridLayout_3.addItem(spacerItem, 6, 0, 1, 2)
        self.info_addrs_value = QtWidgets.QLabel(self.groupBox)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Preferred, QtWidgets.QSizePolicy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.info_addrs_value.sizePolicy().hasHeightForWidth())
        self.info_addrs_value.setSizePolicy(sizePolicy)
        self.info_addrs_value.setTextFormat(QtCore.Qt.AutoText)
        self.info_addrs_value.setAlignment(QtCore.Qt.AlignLeading|QtCore.Qt.AlignLeft|QtCore.Qt.AlignTop)
        self.info_addrs_value.setWordWrap(False)
        self.info_addrs_value.setObjectName("info_addrs_value")
        self.gridLayout_3.addWidget(self.info_addrs_value, 1, 1, 1, 1)
        self.info_stats_mtu_value = QtWidgets.QLabel(self.groupBox)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.MinimumExpanding, QtWidgets.QSizePolicy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.info_stats_mtu_value.sizePolicy().hasHeightForWidth())
        self.info_stats_mtu_value.setSizePolicy(sizePolicy)
        self.info_stats_mtu_value.setAlignment(QtCore.Qt.AlignLeading|QtCore.Qt.AlignLeft|QtCore.Qt.AlignTop)
        self.info_stats_mtu_value.setObjectName("info_stats_mtu_value")
        self.gridLayout_3.addWidget(self.info_stats_mtu_value, 5, 1, 1, 1)
        self.info_stats_duplex_value = QtWidgets.QLabel(self.groupBox)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.MinimumExpanding, QtWidgets.QSizePolicy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.info_stats_duplex_value.sizePolicy().hasHeightForWidth())
        self.info_stats_duplex_value.setSizePolicy(sizePolicy)
        self.info_stats_duplex_value.setAlignment(QtCore.Qt.AlignLeading|QtCore.Qt.AlignLeft|QtCore.Qt.AlignTop)
        self.info_stats_duplex_value.setObjectName("info_stats_duplex_value")
        self.gridLayout_3.addWidget(self.info_stats_duplex_value, 4, 1, 1, 1)
        self.info_stats_status_value = QtWidgets.QLabel(self.groupBox)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.MinimumExpanding, QtWidgets.QSizePolicy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.info_stats_status_value.sizePolicy().hasHeightForWidth())
        self.info_stats_status_value.setSizePolicy(sizePolicy)
        self.info_stats_status_value.setText("")
        self.info_stats_status_value.setAlignment(QtCore.Qt.AlignLeading|QtCore.Qt.AlignLeft|QtCore.Qt.AlignTop)
        self.info_stats_status_value.setObjectName("info_stats_status_value")
        self.gridLayout_3.addWidget(self.info_stats_status_value, 3, 1, 1, 1)
        self.horizontalLayout_12.addWidget(self.groupBox)
        self.groupBox_2 = QtWidgets.QGroupBox(self.tab_info)
        self.groupBox_2.setObjectName("groupBox_2")
        self.gridLayout = QtWidgets.QGridLayout(self.groupBox_2)
        self.gridLayout.setContentsMargins(9, 9, 9, 0)
        self.gridLayout.setSpacing(9)
        self.gridLayout.setObjectName("gridLayout")
        self.info_sent_drops_value = QtWidgets.QLabel(self.groupBox_2)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.MinimumExpanding, QtWidgets.QSizePolicy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.info_sent_drops_value.sizePolicy().hasHeightForWidth())
        self.info_sent_drops_value.setSizePolicy(sizePolicy)
        self.info_sent_drops_value.setAlignment(QtCore.Qt.AlignLeading|QtCore.Qt.AlignLeft|QtCore.Qt.AlignTop)
        self.info_sent_drops_value.setObjectName("info_sent_drops_value")
        self.gridLayout.addWidget(self.info_sent_drops_value, 3, 1, 1, 1)
        self.info_sent_bytes = QtWidgets.QLabel(self.groupBox_2)
        self.info_sent_bytes.setAlignment(QtCore.Qt.AlignRight|QtCore.Qt.AlignTop|QtCore.Qt.AlignTrailing)
        self.info_sent_bytes.setObjectName("info_sent_bytes")
        self.gridLayout.addWidget(self.info_sent_bytes, 0, 0, 1, 1)
        self.info_sent_drops = QtWidgets.QLabel(self.groupBox_2)
        self.info_sent_drops.setAlignment(QtCore.Qt.AlignRight|QtCore.Qt.AlignTop|QtCore.Qt.AlignTrailing)
        self.info_sent_drops.setObjectName("info_sent_drops")
        self.gridLayout.addWidget(self.info_sent_drops, 3, 0, 1, 1)
        self.info_sent_bytes_value = QtWidgets.QLabel(self.groupBox_2)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.MinimumExpanding, QtWidgets.QSizePolicy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.info_sent_bytes_value.sizePolicy().hasHeightForWidth())
        self.info_sent_bytes_value.setSizePolicy(sizePolicy)
        self.info_sent_bytes_value.setText("")
        self.info_sent_bytes_value.setAlignment(QtCore.Qt.AlignLeading|QtCore.Qt.AlignLeft|QtCore.Qt.AlignTop)
        self.info_sent_bytes_value.setObjectName("info_sent_bytes_value")
        self.gridLayout.addWidget(self.info_sent_bytes_value, 0, 1, 1, 1)
        self.info_sent_pkts_value = QtWidgets.QLabel(self.groupBox_2)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.MinimumExpanding, QtWidgets.QSizePolicy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.info_sent_pkts_value.sizePolicy().hasHeightForWidth())
        self.info_sent_pkts_value.setSizePolicy(sizePolicy)
        self.info_sent_pkts_value.setText("")
        self.info_sent_pkts_value.setAlignment(QtCore.Qt.AlignLeading|QtCore.Qt.AlignLeft|QtCore.Qt.AlignTop)
        self.info_sent_pkts_value.setObjectName("info_sent_pkts_value")
        self.gridLayout.addWidget(self.info_sent_pkts_value, 1, 1, 1, 1)
        self.info_recv_pkts_value = QtWidgets.QLabel(self.groupBox_2)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.MinimumExpanding, QtWidgets.QSizePolicy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.info_recv_pkts_value.sizePolicy().hasHeightForWidth())
        self.info_recv_pkts_value.setSizePolicy(sizePolicy)
        self.info_recv_pkts_value.setText("")
        self.info_recv_pkts_value.setAlignment(QtCore.Qt.AlignLeading|QtCore.Qt.AlignLeft|QtCore.Qt.AlignTop)
        self.info_recv_pkts_value.setObjectName("info_recv_pkts_value")
        self.gridLayout.addWidget(self.info_recv_pkts_value, 5, 1, 1, 1)
        self.info_recv_drops = QtWidgets.QLabel(self.groupBox_2)
        self.info_recv_drops.setAlignment(QtCore.Qt.AlignRight|QtCore.Qt.AlignTop|QtCore.Qt.AlignTrailing)
        self.info_recv_drops.setObjectName("info_recv_drops")
        self.gridLayout.addWidget(self.info_recv_drops, 7, 0, 1, 1)
        self.info_sent_errs_value = QtWidgets.QLabel(self.groupBox_2)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.MinimumExpanding, QtWidgets.QSizePolicy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.info_sent_errs_value.sizePolicy().hasHeightForWidth())
        self.info_sent_errs_value.setSizePolicy(sizePolicy)
        self.info_sent_errs_value.setAlignment(QtCore.Qt.AlignLeading|QtCore.Qt.AlignLeft|QtCore.Qt.AlignTop)
        self.info_sent_errs_value.setObjectName("info_sent_errs_value")
        self.gridLayout.addWidget(self.info_sent_errs_value, 2, 1, 1, 1)
        self.info_recv_errs_value = QtWidgets.QLabel(self.groupBox_2)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.MinimumExpanding, QtWidgets.QSizePolicy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.info_recv_errs_value.sizePolicy().hasHeightForWidth())
        self.info_recv_errs_value.setSizePolicy(sizePolicy)
        self.info_recv_errs_value.setText("")
        self.info_recv_errs_value.setAlignment(QtCore.Qt.AlignLeading|QtCore.Qt.AlignLeft|QtCore.Qt.AlignTop)
        self.info_recv_errs_value.setObjectName("info_recv_errs_value")
        self.gridLayout.addWidget(self.info_recv_errs_value, 6, 1, 1, 1)
        self.info_recv_pkts = QtWidgets.QLabel(self.groupBox_2)
        self.info_recv_pkts.setAlignment(QtCore.Qt.AlignRight|QtCore.Qt.AlignTop|QtCore.Qt.AlignTrailing)
        self.info_recv_pkts.setObjectName("info_recv_pkts")
        self.gridLayout.addWidget(self.info_recv_pkts, 5, 0, 1, 1)
        self.info_recv_bytes = QtWidgets.QLabel(self.groupBox_2)
        self.info_recv_bytes.setAlignment(QtCore.Qt.AlignRight|QtCore.Qt.AlignTop|QtCore.Qt.AlignTrailing)
        self.info_recv_bytes.setObjectName("info_recv_bytes")
        self.gridLayout.addWidget(self.info_recv_bytes, 4, 0, 1, 1)
        self.info_recv_drops_value = QtWidgets.QLabel(self.groupBox_2)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.MinimumExpanding, QtWidgets.QSizePolicy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.info_recv_drops_value.sizePolicy().hasHeightForWidth())
        self.info_recv_drops_value.setSizePolicy(sizePolicy)
        self.info_recv_drops_value.setAlignment(QtCore.Qt.AlignLeading|QtCore.Qt.AlignLeft|QtCore.Qt.AlignTop)
        self.info_recv_drops_value.setObjectName("info_recv_drops_value")
        self.gridLayout.addWidget(self.info_recv_drops_value, 7, 1, 1, 1)
        self.info_sent_pkts = QtWidgets.QLabel(self.groupBox_2)
        self.info_sent_pkts.setAlignment(QtCore.Qt.AlignRight|QtCore.Qt.AlignTop|QtCore.Qt.AlignTrailing)
        self.info_sent_pkts.setObjectName("info_sent_pkts")
        self.gridLayout.addWidget(self.info_sent_pkts, 1, 0, 1, 1)
        self.info_recv_errs = QtWidgets.QLabel(self.groupBox_2)
        self.info_recv_errs.setAlignment(QtCore.Qt.AlignRight|QtCore.Qt.AlignTop|QtCore.Qt.AlignTrailing)
        self.info_recv_errs.setObjectName("info_recv_errs")
        self.gridLayout.addWidget(self.info_recv_errs, 6, 0, 1, 1)
        self.info_sent_errs = QtWidgets.QLabel(self.groupBox_2)
        self.info_sent_errs.setAlignment(QtCore.Qt.AlignRight|QtCore.Qt.AlignTop|QtCore.Qt.AlignTrailing)
        self.info_sent_errs.setObjectName("info_sent_errs")
        self.gridLayout.addWidget(self.info_sent_errs, 2, 0, 1, 1)
        self.info_recv_bytes_value = QtWidgets.QLabel(self.groupBox_2)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.MinimumExpanding, QtWidgets.QSizePolicy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.info_recv_bytes_value.sizePolicy().hasHeightForWidth())
        self.info_recv_bytes_value.setSizePolicy(sizePolicy)
        self.info_recv_bytes_value.setText("")
        self.info_recv_bytes_value.setAlignment(QtCore.Qt.AlignLeading|QtCore.Qt.AlignLeft|QtCore.Qt.AlignTop)
        self.info_recv_bytes_value.setObjectName("info_recv_bytes_value")
        self.gridLayout.addWidget(self.info_recv_bytes_value, 4, 1, 1, 1)
        spacerItem1 = QtWidgets.QSpacerItem(20, 0, QtWidgets.QSizePolicy.Minimum, QtWidgets.QSizePolicy.MinimumExpanding)
        self.gridLayout.addItem(spacerItem1, 8, 0, 1, 2)
        self.horizontalLayout_12.addWidget(self.groupBox_2)
        self.verticalLayout_16.addLayout(self.horizontalLayout_12)
        self.tabWidget.addTab(self.tab_info, "")
        self.tab_netstat = QtWidgets.QWidget()
        self.tab_netstat.setObjectName("tab_netstat")
        self.verticalLayout_2 = QtWidgets.QVBoxLayout(self.tab_netstat)
        self.verticalLayout_2.setContentsMargins(-1, 34, -1, -1)
        self.verticalLayout_2.setObjectName("verticalLayout_2")
        self.widget_2 = QtWidgets.QWidget(self.tab_netstat)
        self.widget_2.setMinimumSize(QtCore.QSize(0, 150))
        self.widget_2.setMaximumSize(QtCore.QSize(16777215, 150))
        self.widget_2.setObjectName("widget_2")
        self.verticalLayout_8 = QtWidgets.QVBoxLayout(self.widget_2)
        self.verticalLayout_8.setContentsMargins(0, 0, 0, 0)
        self.verticalLayout_8.setObjectName("verticalLayout_8")
        self.netstat_radiobutton_route = QtWidgets.QRadioButton(self.widget_2)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Minimum, QtWidgets.QSizePolicy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.netstat_radiobutton_route.sizePolicy().hasHeightForWidth())
        self.netstat_radiobutton_route.setSizePolicy(sizePolicy)
        self.netstat_radiobutton_route.setChecked(True)
        self.netstat_radiobutton_route.setObjectName("netstat_radiobutton_route")
        self.button_group_netstat = QtWidgets.QButtonGroup(NetworkUtility)
        self.button_group_netstat.setObjectName("button_group_netstat")
        self.button_group_netstat.addButton(self.netstat_radiobutton_route)
        self.verticalLayout_8.addWidget(self.netstat_radiobutton_route)
        self.netstat_radiobutton_statistics = QtWidgets.QRadioButton(self.widget_2)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Minimum, QtWidgets.QSizePolicy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.netstat_radiobutton_statistics.sizePolicy().hasHeightForWidth())
        self.netstat_radiobutton_statistics.setSizePolicy(sizePolicy)
        self.netstat_radiobutton_statistics.setObjectName("netstat_radiobutton_statistics")
        self.button_group_netstat.addButton(self.netstat_radiobutton_statistics)
        self.verticalLayout_8.addWidget(self.netstat_radiobutton_statistics)
        self.netstat_radiobuttion_listening = QtWidgets.QRadioButton(self.widget_2)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Minimum, QtWidgets.QSizePolicy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.netstat_radiobuttion_listening.sizePolicy().hasHeightForWidth())
        self.netstat_radiobuttion_listening.setSizePolicy(sizePolicy)
        self.netstat_radiobuttion_listening.setObjectName("netstat_radiobuttion_listening")
        self.button_group_netstat.addButton(self.netstat_radiobuttion_listening)
        self.verticalLayout_8.addWidget(self.netstat_radiobuttion_listening)
        self.netstat_radiobutton_groups = QtWidgets.QRadioButton(self.widget_2)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Minimum, QtWidgets.QSizePolicy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.netstat_radiobutton_groups.sizePolicy().hasHeightForWidth())
        self.netstat_radiobutton_groups.setSizePolicy(sizePolicy)
        self.netstat_radiobutton_groups.setObjectName("netstat_radiobutton_groups")
        self.button_group_netstat.addButton(self.netstat_radiobutton_groups)
        self.verticalLayout_8.addWidget(self.netstat_radiobutton_groups)
        spacerItem2 = QtWidgets.QSpacerItem(20, 40, QtWidgets.QSizePolicy.Minimum, QtWidgets.QSizePolicy.Expanding)
        self.verticalLayout_8.addItem(spacerItem2)
        self.netstat_button = QtWidgets.QPushButton(self.widget_2)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Minimum, QtWidgets.QSizePolicy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.netstat_button.sizePolicy().hasHeightForWidth())
        self.netstat_button.setSizePolicy(sizePolicy)
        self.netstat_button.setObjectName("netstat_button")
        self.verticalLayout_8.addWidget(self.netstat_button, 0, QtCore.Qt.AlignRight)
        self.verticalLayout_2.addWidget(self.widget_2)
        self.netstat_text_browser = QtWidgets.QTextBrowser(self.tab_netstat)
        font = QtGui.QFont()
        font.setFamily("Monospace")
        self.netstat_text_browser.setFont(font)
        self.netstat_text_browser.setLineWrapMode(QtWidgets.QTextEdit.NoWrap)
        self.netstat_text_browser.setObjectName("netstat_text_browser")
        self.verticalLayout_2.addWidget(self.netstat_text_browser)
        self.tabWidget.addTab(self.tab_netstat, "")
        self.tab_lookup = QtWidgets.QWidget()
        self.tab_lookup.setObjectName("tab_lookup")
        self.verticalLayout_4 = QtWidgets.QVBoxLayout(self.tab_lookup)
        self.verticalLayout_4.setContentsMargins(-1, 34, -1, -1)
        self.verticalLayout_4.setObjectName("verticalLayout_4")
        self.widget_4 = QtWidgets.QWidget(self.tab_lookup)
        self.widget_4.setMinimumSize(QtCore.QSize(0, 150))
        self.widget_4.setMaximumSize(QtCore.QSize(16777215, 150))
        self.widget_4.setObjectName("widget_4")
        self.verticalLayout_10 = QtWidgets.QVBoxLayout(self.widget_4)
        self.verticalLayout_10.setContentsMargins(0, 0, 0, 0)
        self.verticalLayout_10.setObjectName("verticalLayout_10")
        self.label_4 = QtWidgets.QLabel(self.widget_4)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Preferred, QtWidgets.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.label_4.sizePolicy().hasHeightForWidth())
        self.label_4.setSizePolicy(sizePolicy)
        self.label_4.setObjectName("label_4")
        self.verticalLayout_10.addWidget(self.label_4)
        self.horizontalLayout_4 = QtWidgets.QHBoxLayout()
        self.horizontalLayout_4.setObjectName("horizontalLayout_4")
        self.lookup_address_lineedit = QtWidgets.QLineEdit(self.widget_4)
        self.lookup_address_lineedit.setObjectName("lookup_address_lineedit")
        self.horizontalLayout_4.addWidget(self.lookup_address_lineedit)
        self.label_5 = QtWidgets.QLabel(self.widget_4)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Preferred, QtWidgets.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.label_5.sizePolicy().hasHeightForWidth())
        self.label_5.setSizePolicy(sizePolicy)
        self.label_5.setObjectName("label_5")
        self.horizontalLayout_4.addWidget(self.label_5)
        self.verticalLayout_10.addLayout(self.horizontalLayout_4)
        self.horizontalLayout_5 = QtWidgets.QHBoxLayout()
        self.horizontalLayout_5.setObjectName("horizontalLayout_5")
        self.lookup_use_server_checkbox = QtWidgets.QCheckBox(self.widget_4)
        self.lookup_use_server_checkbox.setObjectName("lookup_use_server_checkbox")
        self.horizontalLayout_5.addWidget(self.lookup_use_server_checkbox)
        self.lookup_server_lineedit = QtWidgets.QLineEdit(self.widget_4)
        self.lookup_server_lineedit.setEnabled(False)
        self.lookup_server_lineedit.setObjectName("lookup_server_lineedit")
        self.horizontalLayout_5.addWidget(self.lookup_server_lineedit)
        self.verticalLayout_10.addLayout(self.horizontalLayout_5)
        self.label_6 = QtWidgets.QLabel(self.widget_4)
        self.label_6.setObjectName("label_6")
        self.verticalLayout_10.addWidget(self.label_6)
        spacerItem3 = QtWidgets.QSpacerItem(20, 40, QtWidgets.QSizePolicy.Minimum, QtWidgets.QSizePolicy.Expanding)
        self.verticalLayout_10.addItem(spacerItem3)
        self.horizontalLayout_11 = QtWidgets.QHBoxLayout()
        self.horizontalLayout_11.setContentsMargins(0, 0, 0, 0)
        self.horizontalLayout_11.setObjectName("horizontalLayout_11")
        spacerItem4 = QtWidgets.QSpacerItem(40, 20, QtWidgets.QSizePolicy.Expanding, QtWidgets.QSizePolicy.Minimum)
        self.horizontalLayout_11.addItem(spacerItem4)
        self.lookup_information_combobox = QtWidgets.QComboBox(self.widget_4)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Preferred, QtWidgets.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.lookup_information_combobox.sizePolicy().hasHeightForWidth())
        self.lookup_information_combobox.setSizePolicy(sizePolicy)
        self.lookup_information_combobox.setObjectName("lookup_information_combobox")
        self.lookup_information_combobox.addItem("")
        self.lookup_information_combobox.addItem("")
        self.lookup_information_combobox.addItem("")
        self.lookup_information_combobox.addItem("")
        self.lookup_information_combobox.addItem("")
        self.lookup_information_combobox.addItem("")
        self.lookup_information_combobox.addItem("")
        self.lookup_information_combobox.addItem("")
        self.lookup_information_combobox.addItem("")
        self.lookup_information_combobox.addItem("")
        self.lookup_information_combobox.addItem("")
        self.lookup_information_combobox.addItem("")
        self.lookup_information_combobox.addItem("")
        self.lookup_information_combobox.addItem("")
        self.horizontalLayout_11.addWidget(self.lookup_information_combobox)
        spacerItem5 = QtWidgets.QSpacerItem(40, 20, QtWidgets.QSizePolicy.Expanding, QtWidgets.QSizePolicy.Minimum)
        self.horizontalLayout_11.addItem(spacerItem5)
        self.lookup_button = QtWidgets.QPushButton(self.widget_4)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.lookup_button.sizePolicy().hasHeightForWidth())
        self.lookup_button.setSizePolicy(sizePolicy)
        self.lookup_button.setObjectName("lookup_button")
        self.horizontalLayout_11.addWidget(self.lookup_button)
        self.verticalLayout_10.addLayout(self.horizontalLayout_11)
        self.verticalLayout_4.addWidget(self.widget_4)
        self.lookup_text_browser = QtWidgets.QTextBrowser(self.tab_lookup)
        font = QtGui.QFont()
        font.setFamily("Monospace")
        self.lookup_text_browser.setFont(font)
        self.lookup_text_browser.setLineWrapMode(QtWidgets.QTextEdit.NoWrap)
        self.lookup_text_browser.setObjectName("lookup_text_browser")
        self.verticalLayout_4.addWidget(self.lookup_text_browser)
        self.tabWidget.addTab(self.tab_lookup, "")
        self.tab_ping = QtWidgets.QWidget()
        self.tab_ping.setObjectName("tab_ping")
        self.verticalLayout_3 = QtWidgets.QVBoxLayout(self.tab_ping)
        self.verticalLayout_3.setContentsMargins(-1, 34, -1, -1)
        self.verticalLayout_3.setObjectName("verticalLayout_3")
        self.widget_3 = QtWidgets.QWidget(self.tab_ping)
        self.widget_3.setMinimumSize(QtCore.QSize(0, 150))
        self.widget_3.setMaximumSize(QtCore.QSize(16777215, 150))
        self.widget_3.setObjectName("widget_3")
        self.verticalLayout_9 = QtWidgets.QVBoxLayout(self.widget_3)
        self.verticalLayout_9.setContentsMargins(0, 0, 0, 0)
        self.verticalLayout_9.setObjectName("verticalLayout_9")
        self.label = QtWidgets.QLabel(self.widget_3)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Preferred, QtWidgets.QSizePolicy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.label.sizePolicy().hasHeightForWidth())
        self.label.setSizePolicy(sizePolicy)
        self.label.setObjectName("label")
        self.verticalLayout_9.addWidget(self.label)
        self.horizontalLayout = QtWidgets.QHBoxLayout()
        self.horizontalLayout.setSpacing(6)
        self.horizontalLayout.setObjectName("horizontalLayout")
        self.ping_address_lineedit = QtWidgets.QLineEdit(self.widget_3)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Expanding, QtWidgets.QSizePolicy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.ping_address_lineedit.sizePolicy().hasHeightForWidth())
        self.ping_address_lineedit.setSizePolicy(sizePolicy)
        self.ping_address_lineedit.setObjectName("ping_address_lineedit")
        self.horizontalLayout.addWidget(self.ping_address_lineedit)
        self.label_2 = QtWidgets.QLabel(self.widget_3)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Preferred, QtWidgets.QSizePolicy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.label_2.sizePolicy().hasHeightForWidth())
        self.label_2.setSizePolicy(sizePolicy)
        self.label_2.setObjectName("label_2")
        self.horizontalLayout.addWidget(self.label_2)
        self.verticalLayout_9.addLayout(self.horizontalLayout)
        self.ping_ilimited_radionutton = QtWidgets.QRadioButton(self.widget_3)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Minimum, QtWidgets.QSizePolicy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.ping_ilimited_radionutton.sizePolicy().hasHeightForWidth())
        self.ping_ilimited_radionutton.setSizePolicy(sizePolicy)
        self.ping_ilimited_radionutton.setObjectName("ping_ilimited_radionutton")
        self.button_group_ping = QtWidgets.QButtonGroup(NetworkUtility)
        self.button_group_ping.setObjectName("button_group_ping")
        self.button_group_ping.addButton(self.ping_ilimited_radionutton)
        self.verticalLayout_9.addWidget(self.ping_ilimited_radionutton)
        self.horizontalLayout_2 = QtWidgets.QHBoxLayout()
        self.horizontalLayout_2.setObjectName("horizontalLayout_2")
        self.ping_send_only_radiobutton = QtWidgets.QRadioButton(self.widget_3)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.ping_send_only_radiobutton.sizePolicy().hasHeightForWidth())
        self.ping_send_only_radiobutton.setSizePolicy(sizePolicy)
        self.ping_send_only_radiobutton.setChecked(True)
        self.ping_send_only_radiobutton.setObjectName("ping_send_only_radiobutton")
        self.button_group_ping.addButton(self.ping_send_only_radiobutton)
        self.horizontalLayout_2.addWidget(self.ping_send_only_radiobutton)
        self.ping_number_of_packet_spiner = QtWidgets.QSpinBox(self.widget_3)
        self.ping_number_of_packet_spiner.setEnabled(True)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.ping_number_of_packet_spiner.sizePolicy().hasHeightForWidth())
        self.ping_number_of_packet_spiner.setSizePolicy(sizePolicy)
        self.ping_number_of_packet_spiner.setFrame(True)
        self.ping_number_of_packet_spiner.setButtonSymbols(QtWidgets.QAbstractSpinBox.NoButtons)
        self.ping_number_of_packet_spiner.setMinimum(1)
        self.ping_number_of_packet_spiner.setProperty("value", 3)
        self.ping_number_of_packet_spiner.setObjectName("ping_number_of_packet_spiner")
        self.horizontalLayout_2.addWidget(self.ping_number_of_packet_spiner)
        self.label_3 = QtWidgets.QLabel(self.widget_3)
        self.label_3.setEnabled(True)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Preferred, QtWidgets.QSizePolicy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.label_3.sizePolicy().hasHeightForWidth())
        self.label_3.setSizePolicy(sizePolicy)
        self.label_3.setObjectName("label_3")
        self.horizontalLayout_2.addWidget(self.label_3)
        self.verticalLayout_9.addLayout(self.horizontalLayout_2)
        spacerItem6 = QtWidgets.QSpacerItem(20, 40, QtWidgets.QSizePolicy.Minimum, QtWidgets.QSizePolicy.Expanding)
        self.verticalLayout_9.addItem(spacerItem6)
        self.ping_button = QtWidgets.QPushButton(self.widget_3)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Minimum, QtWidgets.QSizePolicy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.ping_button.sizePolicy().hasHeightForWidth())
        self.ping_button.setSizePolicy(sizePolicy)
        self.ping_button.setObjectName("ping_button")
        self.verticalLayout_9.addWidget(self.ping_button, 0, QtCore.Qt.AlignRight)
        self.verticalLayout_3.addWidget(self.widget_3)
        self.ping_text_browser = QtWidgets.QTextBrowser(self.tab_ping)
        font = QtGui.QFont()
        font.setFamily("Monospace")
        self.ping_text_browser.setFont(font)
        self.ping_text_browser.setLineWrapMode(QtWidgets.QTextEdit.NoWrap)
        self.ping_text_browser.setObjectName("ping_text_browser")
        self.verticalLayout_3.addWidget(self.ping_text_browser)
        self.tabWidget.addTab(self.tab_ping, "")
        self.tab_traceroute = QtWidgets.QWidget()
        self.tab_traceroute.setObjectName("tab_traceroute")
        self.verticalLayout_5 = QtWidgets.QVBoxLayout(self.tab_traceroute)
        self.verticalLayout_5.setContentsMargins(-1, 34, -1, -1)
        self.verticalLayout_5.setObjectName("verticalLayout_5")
        self.widget_5 = QtWidgets.QWidget(self.tab_traceroute)
        self.widget_5.setMinimumSize(QtCore.QSize(0, 150))
        self.widget_5.setMaximumSize(QtCore.QSize(16777215, 150))
        self.widget_5.setObjectName("widget_5")
        self.verticalLayout_11 = QtWidgets.QVBoxLayout(self.widget_5)
        self.verticalLayout_11.setContentsMargins(0, 0, 0, 0)
        self.verticalLayout_11.setObjectName("verticalLayout_11")
        self.label_7 = QtWidgets.QLabel(self.widget_5)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.label_7.sizePolicy().hasHeightForWidth())
        self.label_7.setSizePolicy(sizePolicy)
        self.label_7.setObjectName("label_7")
        self.verticalLayout_11.addWidget(self.label_7)
        self.horizontalLayout_3 = QtWidgets.QHBoxLayout()
        self.horizontalLayout_3.setObjectName("horizontalLayout_3")
        self.traceroute_address_lineedit = QtWidgets.QLineEdit(self.widget_5)
        self.traceroute_address_lineedit.setObjectName("traceroute_address_lineedit")
        self.horizontalLayout_3.addWidget(self.traceroute_address_lineedit)
        self.label_8 = QtWidgets.QLabel(self.widget_5)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.label_8.sizePolicy().hasHeightForWidth())
        self.label_8.setSizePolicy(sizePolicy)
        self.label_8.setObjectName("label_8")
        self.horizontalLayout_3.addWidget(self.label_8)
        self.verticalLayout_11.addLayout(self.horizontalLayout_3)
        spacerItem7 = QtWidgets.QSpacerItem(20, 40, QtWidgets.QSizePolicy.Minimum, QtWidgets.QSizePolicy.Expanding)
        self.verticalLayout_11.addItem(spacerItem7)
        self.traceroute_button = QtWidgets.QPushButton(self.widget_5)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.traceroute_button.sizePolicy().hasHeightForWidth())
        self.traceroute_button.setSizePolicy(sizePolicy)
        self.traceroute_button.setObjectName("traceroute_button")
        self.verticalLayout_11.addWidget(self.traceroute_button, 0, QtCore.Qt.AlignRight)
        self.verticalLayout_5.addWidget(self.widget_5)
        self.traceroute_text_browser = QtWidgets.QTextBrowser(self.tab_traceroute)
        font = QtGui.QFont()
        font.setFamily("Monospace")
        self.traceroute_text_browser.setFont(font)
        self.traceroute_text_browser.setLineWrapMode(QtWidgets.QTextEdit.NoWrap)
        self.traceroute_text_browser.setObjectName("traceroute_text_browser")
        self.verticalLayout_5.addWidget(self.traceroute_text_browser)
        self.tabWidget.addTab(self.tab_traceroute, "")
        self.tab_whois = QtWidgets.QWidget()
        self.tab_whois.setObjectName("tab_whois")
        self.verticalLayout_7 = QtWidgets.QVBoxLayout(self.tab_whois)
        self.verticalLayout_7.setContentsMargins(-1, 34, -1, -1)
        self.verticalLayout_7.setObjectName("verticalLayout_7")
        self.widget = QtWidgets.QWidget(self.tab_whois)
        self.widget.setMinimumSize(QtCore.QSize(0, 150))
        self.widget.setMaximumSize(QtCore.QSize(16777215, 150))
        self.widget.setObjectName("widget")
        self.verticalLayout_6 = QtWidgets.QVBoxLayout(self.widget)
        self.verticalLayout_6.setContentsMargins(0, 0, 0, 0)
        self.verticalLayout_6.setObjectName("verticalLayout_6")
        self.whois_please_label_1 = QtWidgets.QLabel(self.widget)
        self.whois_please_label_1.setObjectName("whois_please_label_1")
        self.verticalLayout_6.addWidget(self.whois_please_label_1)
        self.horizontalLayout_8 = QtWidgets.QHBoxLayout()
        self.horizontalLayout_8.setObjectName("horizontalLayout_8")
        self.whois_address_lineedit = QtWidgets.QLineEdit(self.widget)
        self.whois_address_lineedit.setObjectName("whois_address_lineedit")
        self.horizontalLayout_8.addWidget(self.whois_address_lineedit)
        self.whois_example_label_1 = QtWidgets.QLabel(self.widget)
        self.whois_example_label_1.setObjectName("whois_example_label_1")
        self.horizontalLayout_8.addWidget(self.whois_example_label_1)
        self.verticalLayout_6.addLayout(self.horizontalLayout_8)
        self.whois_please_label_2 = QtWidgets.QLabel(self.widget)
        self.whois_please_label_2.setObjectName("whois_please_label_2")
        self.verticalLayout_6.addWidget(self.whois_please_label_2)
        self.whois_combox = QtWidgets.QComboBox(self.widget)
        self.whois_combox.setObjectName("whois_combox")
        self.whois_combox.addItem("")
        self.whois_combox.addItem("")
        self.whois_combox.setItemText(1, "whois.iana.org")
        self.verticalLayout_6.addWidget(self.whois_combox)
        spacerItem8 = QtWidgets.QSpacerItem(20, 40, QtWidgets.QSizePolicy.Minimum, QtWidgets.QSizePolicy.Expanding)
        self.verticalLayout_6.addItem(spacerItem8)
        self.whois_button = QtWidgets.QPushButton(self.widget)
        self.whois_button.setObjectName("whois_button")
        self.verticalLayout_6.addWidget(self.whois_button, 0, QtCore.Qt.AlignRight)
        self.verticalLayout_7.addWidget(self.widget)
        self.whois_text_browser = QtWidgets.QTextBrowser(self.tab_whois)
        font = QtGui.QFont()
        font.setFamily("Monospace")
        self.whois_text_browser.setFont(font)
        self.whois_text_browser.setLineWrapMode(QtWidgets.QTextEdit.WidgetWidth)
        self.whois_text_browser.setObjectName("whois_text_browser")
        self.verticalLayout_7.addWidget(self.whois_text_browser)
        self.tabWidget.addTab(self.tab_whois, "")
        self.tab_finger = QtWidgets.QWidget()
        self.tab_finger.setObjectName("tab_finger")
        self.verticalLayout_13 = QtWidgets.QVBoxLayout(self.tab_finger)
        self.verticalLayout_13.setContentsMargins(-1, 34, -1, -1)
        self.verticalLayout_13.setObjectName("verticalLayout_13")
        self.widget_6 = QtWidgets.QWidget(self.tab_finger)
        self.widget_6.setMinimumSize(QtCore.QSize(0, 150))
        self.widget_6.setMaximumSize(QtCore.QSize(16777215, 150))
        self.widget_6.setObjectName("widget_6")
        self.verticalLayout_12 = QtWidgets.QVBoxLayout(self.widget_6)
        self.verticalLayout_12.setContentsMargins(0, 0, 0, 0)
        self.verticalLayout_12.setObjectName("verticalLayout_12")
        self.finger_please_label = QtWidgets.QLabel(self.widget_6)
        self.finger_please_label.setObjectName("finger_please_label")
        self.verticalLayout_12.addWidget(self.finger_please_label)
        self.horizontalLayout_7 = QtWidgets.QHBoxLayout()
        self.horizontalLayout_7.setObjectName("horizontalLayout_7")
        self.finger_username_lineedit = QtWidgets.QLineEdit(self.widget_6)
        self.finger_username_lineedit.setObjectName("finger_username_lineedit")
        self.horizontalLayout_7.addWidget(self.finger_username_lineedit)
        self.finger_at_label = QtWidgets.QLabel(self.widget_6)
        self.finger_at_label.setObjectName("finger_at_label")
        self.horizontalLayout_7.addWidget(self.finger_at_label)
        self.finger_domain_lineedit = QtWidgets.QLineEdit(self.widget_6)
        self.finger_domain_lineedit.setObjectName("finger_domain_lineedit")
        self.horizontalLayout_7.addWidget(self.finger_domain_lineedit)
        self.finger_example_label_1 = QtWidgets.QLabel(self.widget_6)
        self.finger_example_label_1.setObjectName("finger_example_label_1")
        self.horizontalLayout_7.addWidget(self.finger_example_label_1)
        self.verticalLayout_12.addLayout(self.horizontalLayout_7)
        spacerItem9 = QtWidgets.QSpacerItem(20, 40, QtWidgets.QSizePolicy.Minimum, QtWidgets.QSizePolicy.Expanding)
        self.verticalLayout_12.addItem(spacerItem9)
        self.finger_button = QtWidgets.QPushButton(self.widget_6)
        self.finger_button.setObjectName("finger_button")
        self.verticalLayout_12.addWidget(self.finger_button, 0, QtCore.Qt.AlignRight)
        self.verticalLayout_13.addWidget(self.widget_6)
        self.finger_text_browser = QtWidgets.QTextBrowser(self.tab_finger)
        font = QtGui.QFont()
        font.setFamily("Monospace")
        self.finger_text_browser.setFont(font)
        self.finger_text_browser.setLineWrapMode(QtWidgets.QTextEdit.NoWrap)
        self.finger_text_browser.setObjectName("finger_text_browser")
        self.verticalLayout_13.addWidget(self.finger_text_browser)
        self.tabWidget.addTab(self.tab_finger, "")
        self.tab_port_scan = QtWidgets.QWidget()
        self.tab_port_scan.setObjectName("tab_port_scan")
        self.verticalLayout_14 = QtWidgets.QVBoxLayout(self.tab_port_scan)
        self.verticalLayout_14.setContentsMargins(-1, 34, -1, -1)
        self.verticalLayout_14.setObjectName("verticalLayout_14")
        self.widget_7 = QtWidgets.QWidget(self.tab_port_scan)
        self.widget_7.setMinimumSize(QtCore.QSize(0, 150))
        self.widget_7.setMaximumSize(QtCore.QSize(16777215, 150))
        self.widget_7.setObjectName("widget_7")
        self.verticalLayout_15 = QtWidgets.QVBoxLayout(self.widget_7)
        self.verticalLayout_15.setContentsMargins(0, 0, 0, 0)
        self.verticalLayout_15.setObjectName("verticalLayout_15")
        self.label_15 = QtWidgets.QLabel(self.widget_7)
        self.label_15.setObjectName("label_15")
        self.verticalLayout_15.addWidget(self.label_15)
        self.horizontalLayout_9 = QtWidgets.QHBoxLayout()
        self.horizontalLayout_9.setContentsMargins(0, 0, 0, 0)
        self.horizontalLayout_9.setObjectName("horizontalLayout_9")
        self.port_scan_address_lineedit = QtWidgets.QLineEdit(self.widget_7)
        self.port_scan_address_lineedit.setObjectName("port_scan_address_lineedit")
        self.horizontalLayout_9.addWidget(self.port_scan_address_lineedit)
        self.label_16 = QtWidgets.QLabel(self.widget_7)
        self.label_16.setObjectName("label_16")
        self.horizontalLayout_9.addWidget(self.label_16)
        self.verticalLayout_15.addLayout(self.horizontalLayout_9)
        spacerItem10 = QtWidgets.QSpacerItem(20, 40, QtWidgets.QSizePolicy.Minimum, QtWidgets.QSizePolicy.Expanding)
        self.verticalLayout_15.addItem(spacerItem10)
        self.horizontalLayout_10 = QtWidgets.QHBoxLayout()
        self.horizontalLayout_10.setContentsMargins(0, 0, 0, 0)
        self.horizontalLayout_10.setSpacing(6)
        self.horizontalLayout_10.setObjectName("horizontalLayout_10")
        self.port_scan_use_port_range_checkbox = QtWidgets.QCheckBox(self.widget_7)
        self.port_scan_use_port_range_checkbox.setObjectName("port_scan_use_port_range_checkbox")
        self.horizontalLayout_10.addWidget(self.port_scan_use_port_range_checkbox)
        self.port_scan_port_from = QtWidgets.QSpinBox(self.widget_7)
        self.port_scan_port_from.setEnabled(False)
        self.port_scan_port_from.setButtonSymbols(QtWidgets.QAbstractSpinBox.NoButtons)
        self.port_scan_port_from.setMinimum(0)
        self.port_scan_port_from.setMaximum(65535)
        self.port_scan_port_from.setObjectName("port_scan_port_from")
        self.horizontalLayout_10.addWidget(self.port_scan_port_from, 0, QtCore.Qt.AlignLeft)
        self.port_scan_port_and_label = QtWidgets.QLabel(self.widget_7)
        self.port_scan_port_and_label.setEnabled(False)
        self.port_scan_port_and_label.setObjectName("port_scan_port_and_label")
        self.horizontalLayout_10.addWidget(self.port_scan_port_and_label, 0, QtCore.Qt.AlignLeft)
        self.port_scan_port_to = QtWidgets.QSpinBox(self.widget_7)
        self.port_scan_port_to.setEnabled(False)
        self.port_scan_port_to.setButtonSymbols(QtWidgets.QAbstractSpinBox.NoButtons)
        self.port_scan_port_to.setMinimum(1)
        self.port_scan_port_to.setMaximum(65535)
        self.port_scan_port_to.setProperty("value", 65535)
        self.port_scan_port_to.setObjectName("port_scan_port_to")
        self.horizontalLayout_10.addWidget(self.port_scan_port_to, 0, QtCore.Qt.AlignLeft)
        spacerItem11 = QtWidgets.QSpacerItem(40, 20, QtWidgets.QSizePolicy.Expanding, QtWidgets.QSizePolicy.Minimum)
        self.horizontalLayout_10.addItem(spacerItem11)
        self.port_scan_button = QtWidgets.QPushButton(self.widget_7)
        self.port_scan_button.setObjectName("port_scan_button")
        self.horizontalLayout_10.addWidget(self.port_scan_button)
        self.verticalLayout_15.addLayout(self.horizontalLayout_10)
        self.verticalLayout_14.addWidget(self.widget_7)
        self.port_scan_text_browser = QtWidgets.QTextBrowser(self.tab_port_scan)
        font = QtGui.QFont()
        font.setFamily("Monospace")
        self.port_scan_text_browser.setFont(font)
        self.port_scan_text_browser.setLineWrapMode(QtWidgets.QTextEdit.NoWrap)
        self.port_scan_text_browser.setObjectName("port_scan_text_browser")
        self.verticalLayout_14.addWidget(self.port_scan_text_browser)
        self.tabWidget.addTab(self.tab_port_scan, "")
        self.verticalLayout.addWidget(self.tabWidget)

        self.retranslateUi(NetworkUtility)
        self.tabWidget.setCurrentIndex(0)
        QtCore.QMetaObject.connectSlotsByName(NetworkUtility)

    def retranslateUi(self, NetworkUtility):
        _translate = QtCore.QCoreApplication.translate
        NetworkUtility.setWindowTitle(_translate("NetworkUtility", "Network Utility"))
        self.label_18.setText(_translate("NetworkUtility", "Please select a network interface for information"))
        self.groupBox.setTitle(_translate("NetworkUtility", "Interface Information"))
        self.info_stats_mtu.setText(_translate("NetworkUtility", "MTU"))
        self.info_hardware_address.setText(_translate("NetworkUtility", "Hardware Address"))
        self.info_stats_duplex.setText(_translate("NetworkUtility", "Duplex"))
        self.label_9.setText(_translate("NetworkUtility", "Link Speed"))
        self.info_addrs.setText(_translate("NetworkUtility", "IP Address(es)"))
        self.info_stats_status.setText(_translate("NetworkUtility", "Link Status"))
        self.info_hardware_address_value.setText(_translate("NetworkUtility", " "))
        self.info_addrs_value.setText(_translate("NetworkUtility", " "))
        self.info_stats_mtu_value.setText(_translate("NetworkUtility", " "))
        self.info_stats_duplex_value.setText(_translate("NetworkUtility", " "))
        self.groupBox_2.setTitle(_translate("NetworkUtility", "Transfer statistics"))
        self.info_sent_drops_value.setText(_translate("NetworkUtility", " "))
        self.info_sent_bytes.setText(_translate("NetworkUtility", "Send Bytes"))
        self.info_sent_drops.setText(_translate("NetworkUtility", "Send Drops"))
        self.info_recv_drops.setText(_translate("NetworkUtility", "Recv Drops"))
        self.info_sent_errs_value.setText(_translate("NetworkUtility", " "))
        self.info_recv_pkts.setText(_translate("NetworkUtility", "Recv Packets"))
        self.info_recv_bytes.setText(_translate("NetworkUtility", "Recv Bytes"))
        self.info_recv_drops_value.setText(_translate("NetworkUtility", " "))
        self.info_sent_pkts.setText(_translate("NetworkUtility", "Send Packets"))
        self.info_recv_errs.setText(_translate("NetworkUtility", "Recv Errors"))
        self.info_sent_errs.setText(_translate("NetworkUtility", "Send Errors"))
        self.tabWidget.setTabText(self.tabWidget.indexOf(self.tab_info), _translate("NetworkUtility", "Info"))
        self.netstat_radiobutton_route.setText(_translate("NetworkUtility", "Display routing table information"))
        self.netstat_radiobutton_statistics.setText(_translate("NetworkUtility", "Display comprehensive network statistics for each protocol"))
        self.netstat_radiobuttion_listening.setText(_translate("NetworkUtility", "Display the stat of all current socket connections"))
        self.netstat_radiobutton_groups.setText(_translate("NetworkUtility", "Display multicast information"))
        self.netstat_button.setText(_translate("NetworkUtility", "Netstat"))
        self.tabWidget.setTabText(self.tabWidget.indexOf(self.tab_netstat), _translate("NetworkUtility", "Netstat"))
        self.label_4.setText(_translate("NetworkUtility", "Please enter an internet address to lookup"))
        self.label_5.setText(_translate("NetworkUtility", "<html><head/><body><p><span style=\" font-size:14pt; vertical-align:sub;\">(ex. 192.168.42.1 or www.example.com)</span></p></body></html>"))
        self.lookup_use_server_checkbox.setText(_translate("NetworkUtility", "Use a specific lookup server"))
        self.label_6.setText(_translate("NetworkUtility", "Select the information to lookup:"))
        self.lookup_information_combobox.setItemText(0, _translate("NetworkUtility", "Default Information"))
        self.lookup_information_combobox.setItemText(1, _translate("NetworkUtility", "ALL"))
        self.lookup_information_combobox.setItemText(2, _translate("NetworkUtility", "A"))
        self.lookup_information_combobox.setItemText(3, _translate("NetworkUtility", "AAAA"))
        self.lookup_information_combobox.setItemText(4, _translate("NetworkUtility", "CNAME"))
        self.lookup_information_combobox.setItemText(5, _translate("NetworkUtility", "MX"))
        self.lookup_information_combobox.setItemText(6, _translate("NetworkUtility", "NS"))
        self.lookup_information_combobox.setItemText(7, _translate("NetworkUtility", "PTR"))
        self.lookup_information_combobox.setItemText(8, _translate("NetworkUtility", "SRV"))
        self.lookup_information_combobox.setItemText(9, _translate("NetworkUtility", "SOA"))
        self.lookup_information_combobox.setItemText(10, _translate("NetworkUtility", "TXT"))
        self.lookup_information_combobox.setItemText(11, _translate("NetworkUtility", "CAA"))
        self.lookup_information_combobox.setItemText(12, _translate("NetworkUtility", "DS"))
        self.lookup_information_combobox.setItemText(13, _translate("NetworkUtility", "DNSKEY"))
        self.lookup_button.setText(_translate("NetworkUtility", "Lookup"))
        self.tabWidget.setTabText(self.tabWidget.indexOf(self.tab_lookup), _translate("NetworkUtility", "Lookup"))
        self.label.setText(_translate("NetworkUtility", "Please enter the network address to ping"))
        self.label_2.setText(_translate("NetworkUtility", "<html><head/><body><p><span style=\" font-size:14pt; vertical-align:sub;\">(ex. 192.168.42.1 or www.exemple.com)</span></p></body></html>"))
        self.ping_ilimited_radionutton.setText(_translate("NetworkUtility", "Send a nunber ilimited of pings"))
        self.ping_send_only_radiobutton.setText(_translate("NetworkUtility", "Send only"))
        self.label_3.setText(_translate("NetworkUtility", "pings"))
        self.ping_button.setText(_translate("NetworkUtility", "Ping"))
        self.tabWidget.setTabText(self.tabWidget.indexOf(self.tab_ping), _translate("NetworkUtility", "PIng"))
        self.label_7.setText(_translate("NetworkUtility", "Please enter the network address to trace an internet route to"))
        self.label_8.setText(_translate("NetworkUtility", "<html><head/><body><p><span style=\" font-size:14pt; vertical-align:sub;\">(ex. 192.168.42.1 or www.example.com)</span></p></body></html>"))
        self.traceroute_button.setText(_translate("NetworkUtility", "Trace"))
        self.tabWidget.setTabText(self.tabWidget.indexOf(self.tab_traceroute), _translate("NetworkUtility", "Traceroute"))
        self.whois_please_label_1.setText(_translate("NetworkUtility", "Please enter a domain address to look up is \"whois\" information"))
        self.whois_example_label_1.setText(_translate("NetworkUtility", "<html><head/><body><p><span style=\" font-size:14pt; vertical-align:sub;\">(ex. 192.168.42.1 or www.example.com)</span></p></body></html>"))
        self.whois_please_label_2.setText(_translate("NetworkUtility", "Please enter or select a whois server to search"))
        self.whois_combox.setItemText(0, _translate("NetworkUtility", "default"))
        self.whois_button.setText(_translate("NetworkUtility", "Whois"))
        self.tabWidget.setTabText(self.tabWidget.indexOf(self.tab_whois), _translate("NetworkUtility", "Whois"))
        self.finger_please_label.setText(_translate("NetworkUtility", "Please enter a user name and domain address to finger that user"))
        self.finger_at_label.setText(_translate("NetworkUtility", "@"))
        self.finger_example_label_1.setText(_translate("NetworkUtility", "<html><head/><body><p><span style=\" font-size:14pt; vertical-align:sub;\">(ex. user@example.com)</span></p></body></html>"))
        self.finger_button.setText(_translate("NetworkUtility", "Finger"))
        self.tabWidget.setTabText(self.tabWidget.indexOf(self.tab_finger), _translate("NetworkUtility", "Finger"))
        self.label_15.setText(_translate("NetworkUtility", "Please enter an internet or IP address to scan for open ports"))
        self.label_16.setText(_translate("NetworkUtility", "<html><head/><body><p><span style=\" font-size:14pt; vertical-align:sub;\">(ex. www.example.com or 192,168.42.1)</span></p></body></html>"))
        self.port_scan_use_port_range_checkbox.setText(_translate("NetworkUtility", "Only test ports between"))
        self.port_scan_port_and_label.setText(_translate("NetworkUtility", "and"))
        self.port_scan_button.setText(_translate("NetworkUtility", "Scan"))
        self.tabWidget.setTabText(self.tabWidget.indexOf(self.tab_port_scan), _translate("NetworkUtility", "Port Scan"))
